commit 381bdda46794354e3ce8679592d84e287b580da6
Author: Patrick Plitzner <p.plitzner@bgbm.org>
Date:   Thu Oct 26 09:34:10 2017 +0200

    ref #6913 Remove IEditorInput dependency from bulk editor input

diff --git a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/BulkEditor.java b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/BulkEditor.java
index 20eb0d146..c9f149c94 100644
--- a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/BulkEditor.java
+++ b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/BulkEditor.java
@@ -103,9 +103,9 @@ public class BulkEditor extends AnnotatedLineEditor implements IPartContentHasDe
     protected ISourceViewer createSourceViewer(Composite parent,
 			IVerticalRuler ruler, int styles) {
 		ISourceViewer viewer = super.createSourceViewer(parent, ruler, styles);
-		if (getEditorInput().isMergingEnabled()) {
-			addToggleMergeCandidateListener(ruler.getControl());
-		}
+//		if (getEditorInput().isMergingEnabled()) {
+//			addToggleMergeCandidateListener(ruler.getControl());
+//		}
 		return viewer;
 	}
 
@@ -308,9 +308,9 @@ public class BulkEditor extends AnnotatedLineEditor implements IPartContentHasDe
 			//conversation.clear();
 			//conversation.commit(true);
 
-			getEditorInput().dispose();
-			getEditorInput().bind();
-			getEditorInput().performSearch(query);
+//			getEditorInput().dispose();
+//			getEditorInput().bind();
+//			getEditorInput().performSearch(query);
 
 			refresh();
 
@@ -333,11 +333,11 @@ public class BulkEditor extends AnnotatedLineEditor implements IPartContentHasDe
 		setInput(getEditorInput());
 	}
 
-	/** {@inheritDoc} */
-	@Override
-	public AbstractBulkEditorInput getEditorInput() {
-		return (AbstractBulkEditorInput) super.getEditorInput();
-	}
+//	/** {@inheritDoc} */
+//	@Override
+//	public AbstractBulkEditorInput getEditorInput() {
+//		return (AbstractBulkEditorInput) super.getEditorInput();
+//	}
 
 	@Override
     protected void editorContextMenuAboutToShow(IMenuManager menu) {
diff --git a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/BulkEditorLineDisplay.java b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/BulkEditorLineDisplay.java
index 2b1dedded..32b914058 100644
--- a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/BulkEditorLineDisplay.java
+++ b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/BulkEditorLineDisplay.java
@@ -9,25 +9,17 @@
 
 package eu.etaxonomy.taxeditor.bulkeditor;
 
-import java.util.ArrayList;
-import java.util.List;
-
-import org.apache.commons.lang.StringUtils;
 import org.eclipse.jface.action.IStatusLineManager;
 import org.eclipse.swt.graphics.Font;
 import org.eclipse.swt.graphics.Image;
 import org.eclipse.swt.widgets.Display;
 
-import eu.etaxonomy.cdm.hibernate.HibernateProxyHelper;
 import eu.etaxonomy.cdm.model.agent.AgentBase;
 import eu.etaxonomy.cdm.model.common.CdmBase;
-import eu.etaxonomy.cdm.model.common.IAnnotatableEntity;
-import eu.etaxonomy.cdm.model.common.Marker;
 import eu.etaxonomy.cdm.model.name.TaxonName;
 import eu.etaxonomy.cdm.model.reference.Reference;
 import eu.etaxonomy.taxeditor.annotatedlineeditor.EntityListener;
 import eu.etaxonomy.taxeditor.annotatedlineeditor.ILineDisplayStrategy;
-import eu.etaxonomy.taxeditor.bulkeditor.input.AbstractBulkEditorInput;
 
 /**
  * <p>BulkEditorLineDisplay class.</p>
@@ -63,7 +55,7 @@ public class BulkEditorLineDisplay implements ILineDisplayStrategy {
 	/** {@inheritDoc} */
 	@Override
     public String getText(Object entity) {
-		return editor.getEditorInput().getText((CdmBase) entity);
+		return "";//editor.getEditorInput().getText((CdmBase) entity);
 	}
 
 	/** {@inheritDoc} */
@@ -72,26 +64,26 @@ public class BulkEditorLineDisplay implements ILineDisplayStrategy {
 
 		String supplementalText = "";
 
-		AbstractBulkEditorInput input = editor.getEditorInput();
-		String typeText = input.getTypeText(entity);
-
-		supplementalText += StringUtils.isBlank(typeText) ? "" : String.format(" [%s]", typeText);
-
-		if (entity instanceof IAnnotatableEntity) {
-			IAnnotatableEntity annotatableEntity = (IAnnotatableEntity) HibernateProxyHelper.deproxy(entity);
-
-			String markerText = "";
-			List<String> markers = new ArrayList<String>();
-			for (Marker marker : annotatableEntity.getMarkers()) {
-				String markerLabel = marker.getMarkerType() == null? " unknown marker " : marker.getMarkerType().getLabel();
-				markers.add(String.format("%1s = %2s", markerLabel, marker.getFlag() ? "yes" : "no"));
-			}
-			if (! markers.isEmpty()) {
-				markerText = StringUtils.join(markers, ", ");
-			}
-
-			supplementalText += StringUtils.isBlank(markerText) ? "" : String.format(" [%s]", markerText);
-		}
+//		AbstractBulkEditorInput input = editor.getEditorInput();
+//		String typeText = input.getTypeText(entity);
+//
+//		supplementalText += StringUtils.isBlank(typeText) ? "" : String.format(" [%s]", typeText);
+//
+//		if (entity instanceof IAnnotatableEntity) {
+//			IAnnotatableEntity annotatableEntity = (IAnnotatableEntity) HibernateProxyHelper.deproxy(entity);
+//
+//			String markerText = "";
+//			List<String> markers = new ArrayList<String>();
+//			for (Marker marker : annotatableEntity.getMarkers()) {
+//				String markerLabel = marker.getMarkerType() == null? " unknown marker " : marker.getMarkerType().getLabel();
+//				markers.add(String.format("%1s = %2s", markerLabel, marker.getFlag() ? "yes" : "no"));
+//			}
+//			if (! markers.isEmpty()) {
+//				markerText = StringUtils.join(markers, ", ");
+//			}
+//
+//			supplementalText += StringUtils.isBlank(markerText) ? "" : String.format(" [%s]", markerText);
+//		}
 
 		return supplementalText;
 	}
diff --git a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/BulkEditorSearch.java b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/BulkEditorSearch.java
index f1e7a0e43..66359b6e9 100644
--- a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/BulkEditorSearch.java
+++ b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/BulkEditorSearch.java
@@ -87,7 +87,7 @@ public class BulkEditorSearch {
 	}
 
 	private void createSortCombo(Composite parent, int style) {
-		sortCombo = new BulkEditorSortCombo(parent, editor.getEditorInput().getSortProviders());
+//		sortCombo = new BulkEditorSortCombo(parent, editor.getEditorInput().getSortProviders());
 
 	}
 
diff --git a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/e4/command/DynamicNewObjectMenuE4.java b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/e4/command/DynamicNewObjectMenuE4.java
index 1314958e8..962da79b5 100644
--- a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/e4/command/DynamicNewObjectMenuE4.java
+++ b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/e4/command/DynamicNewObjectMenuE4.java
@@ -24,7 +24,6 @@ import org.eclipse.e4.ui.model.application.ui.menu.MMenu;
 import org.eclipse.e4.ui.model.application.ui.menu.MMenuElement;
 import org.eclipse.e4.ui.model.application.ui.menu.MMenuFactory;
 import org.eclipse.e4.ui.services.IServiceConstants;
-import org.eclipse.ui.IEditorInput;
 
 import eu.etaxonomy.taxeditor.annotatedlineeditor.IEntityCreator;
 import eu.etaxonomy.taxeditor.bulkeditor.IBulkEditorConstants;
@@ -81,14 +80,12 @@ public class DynamicNewObjectMenuE4 {
 	 */
 	private Map<? extends Object, String> getClassLabelPairs() {
 		if (editor != null){
-			IEditorInput input = editor.getEditorInput();
-
-			if(input instanceof AbstractBulkEditorInput){
-				IEntityCreator<?> entityCreator = ((AbstractBulkEditorInput) input).getEntityCreator();
-				if(entityCreator!=null){
-				    return entityCreator.getKeyLabelPairs();
-				}
-			}
+		    AbstractBulkEditorInput input = editor.getEditorInput();
+
+		    IEntityCreator<?> entityCreator = input.getEntityCreator();
+		    if(entityCreator!=null){
+		        return entityCreator.getKeyLabelPairs();
+		    }
 		}
 
 		return Collections.EMPTY_MAP;
diff --git a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/handler/OpenBulkEditorHandler.java b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/handler/OpenBulkEditorHandler.java
index bdf6ecdcd..7f2c48a63 100644
--- a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/handler/OpenBulkEditorHandler.java
+++ b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/handler/OpenBulkEditorHandler.java
@@ -1,8 +1,8 @@
 /**
 * Copyright (C) 2007 EDIT
-* European Distributed Institute of Taxonomy 
+* European Distributed Institute of Taxonomy
 * http://www.e-taxonomy.eu
-* 
+*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */
@@ -11,14 +11,9 @@ import org.apache.log4j.Logger;
 import org.eclipse.core.commands.AbstractHandler;
 import org.eclipse.core.commands.ExecutionEvent;
 import org.eclipse.core.commands.ExecutionException;
-import org.eclipse.ui.PartInitException;
-import org.eclipse.ui.handlers.HandlerUtil;
 
-import eu.etaxonomy.taxeditor.bulkeditor.BulkEditor;
 import eu.etaxonomy.taxeditor.bulkeditor.IBulkEditorConstants;
-import eu.etaxonomy.taxeditor.bulkeditor.input.AbstractBulkEditorInput;
 import eu.etaxonomy.taxeditor.bulkeditor.input.BulkEditorInputType;
-import eu.etaxonomy.taxeditor.store.CdmStore;
 
 /**
  * <p>OpenBulkEditorHandler class.</p>
@@ -28,22 +23,23 @@ import eu.etaxonomy.taxeditor.store.CdmStore;
  * @version 1.0
  */
 public class OpenBulkEditorHandler extends AbstractHandler {
-	private static final Logger logger = Logger.getLogger(OpenBulkEditorHandler.class);	
-	
+	private static final Logger logger = Logger.getLogger(OpenBulkEditorHandler.class);
+
 	/* (non-Javadoc)
 	 * @see org.eclipse.core.commands.AbstractHandler#execute(org.eclipse.core.commands.ExecutionEvent)
 	 */
 	/** {@inheritDoc} */
-	public Object execute(ExecutionEvent event) throws ExecutionException {
+	@Override
+    public Object execute(ExecutionEvent event) throws ExecutionException {
 		String inputTypeId = event.getParameter(IBulkEditorConstants.INPUT_TYPE_PARAMETER_ID);
 		BulkEditorInputType inputType = BulkEditorInputType.getById(inputTypeId);
-		try {
-			HandlerUtil.getActiveWorkbenchWindow(event).getActivePage().
-					openEditor(AbstractBulkEditorInput.NewInstance(inputType), BulkEditor.ID);
-		} catch (PartInitException e) {
-			new RuntimeException(e);
-			logger.error("Error opening bulk editor", e);
-		}
+//		try {
+//			HandlerUtil.getActiveWorkbenchWindow(event).getActivePage().
+//					openEditor(AbstractBulkEditorInput.NewInstance(inputType), BulkEditor.ID);
+//		} catch (PartInitException e) {
+//			new RuntimeException(e);
+//			logger.error("Error opening bulk editor", e);
+//		}
 		return null;
 	}
 }
diff --git a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/AbstractBulkEditorInput.java b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/AbstractBulkEditorInput.java
index a13e5ec7e..72ae48986 100644
--- a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/AbstractBulkEditorInput.java
+++ b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/AbstractBulkEditorInput.java
@@ -17,10 +17,6 @@ import java.util.Map;
 import java.util.Map.Entry;
 import java.util.UUID;
 
-import org.eclipse.jface.resource.ImageDescriptor;
-import org.eclipse.ui.IEditorInput;
-import org.eclipse.ui.IPersistableElement;
-
 import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
 import eu.etaxonomy.cdm.api.service.config.DeleteConfiguratorBase;
 import eu.etaxonomy.cdm.api.service.config.IIdentifiableEntityServiceConfigurator;
@@ -48,7 +44,7 @@ import eu.etaxonomy.taxeditor.store.CdmStore;
  * @version 1.0
  * @param <T>
  */
-public abstract class AbstractBulkEditorInput<T extends CdmBase> extends CdmEntitySessionInput implements IEditorInput ,
+public abstract class AbstractBulkEditorInput<T extends CdmBase> extends CdmEntitySessionInput implements
     IEntityPersistenceService<T> {
 
 	private UUID entityUuid;
@@ -84,6 +80,8 @@ public abstract class AbstractBulkEditorInput<T extends CdmBase> extends CdmEnti
 		return editorInput;
 	}
 
+    public abstract String getName();
+
 	protected abstract List<T> listEntities(IIdentifiableEntityServiceConfigurator configurator);
 
 	protected abstract T loadEntity(UUID entityUuid);
@@ -124,30 +122,6 @@ public abstract class AbstractBulkEditorInput<T extends CdmBase> extends CdmEnti
 		return entityUuid;
 	}
 
-	@Override
-    public boolean exists() {
-		// TODO Auto-generated method stub
-		return false;
-	}
-
-	@Override
-    public ImageDescriptor getImageDescriptor() {
-		// TODO Auto-generated method stub
-		return null;
-	}
-
-	@Override
-    public IPersistableElement getPersistable() {
-		return null;
-	}
-
-	/** {@inheritDoc} */
-	@Override
-    @SuppressWarnings("unchecked")
-	public Object getAdapter(Class adapter) {
-		return null;
-	}
-
 	public void performSearch(final BulkEditorQuery bulkEditorQuery) {
 
 		List<T> entityList = new ArrayList<T>();
diff --git a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/AgentEditorInput.java b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/AgentEditorInput.java
index 335eaa7ce..1c5f14056 100644
--- a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/AgentEditorInput.java
+++ b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/AgentEditorInput.java
@@ -51,17 +51,12 @@ public class AgentEditorInput extends AbstractBulkEditorInput<TeamOrPersonBase>
 		return ID;
 	}
 
-	@Override
+    @Override
     public String getName() {
 		return BulkEditorInputType.AGENT.label;
 	}
 
 
-	@Override
-    public String getToolTipText() {
-		return getName();
-	}
-
 	public static AbstractBulkEditorInput getInstance() {
 		if (instance == null) {
 			instance = new AgentEditorInput();
diff --git a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/GroupEditorInput.java b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/GroupEditorInput.java
index 5363498db..b12f1153f 100644
--- a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/GroupEditorInput.java
+++ b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/GroupEditorInput.java
@@ -45,29 +45,18 @@ public class GroupEditorInput extends AbstractBulkEditorInput<Group> {
 		return instance;
 	}
 
-	/* (non-Javadoc)
-	 * @see org.eclipse.ui.IEditorInput#getName()
-	 */
-	@Override
+    @Override
 	public String getName() {
 		return BulkEditorInputType.GROUP.label;
 	}
 
-	/* (non-Javadoc)
-	 * @see org.eclipse.ui.IEditorInput#getToolTipText()
-	 */
-	@Override
-	public String getToolTipText() {
-		return getName();
-	}
-
 	/* (non-Javadoc)
 	 * @see eu.etaxonomy.taxeditor.annotatedlineeditor.IEntityPersistenceService#save(java.lang.Object)
 	 */
 	@Override
 	public Group save(Group entity) {
 	    return CdmStore.getService(IGroupService.class).merge(entity, true).getMergedEntity();
-	    
+
 	}
 
 	/* (non-Javadoc)
diff --git a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/MediaEditorInput.java b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/MediaEditorInput.java
index 62b7d7813..94d1e030a 100644
--- a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/MediaEditorInput.java
+++ b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/MediaEditorInput.java
@@ -18,7 +18,6 @@ import eu.etaxonomy.cdm.api.service.config.IIdentifiableEntityServiceConfigurato
 import eu.etaxonomy.cdm.api.service.config.MediaDeletionConfigurator;
 import eu.etaxonomy.cdm.api.service.exception.ReferencedObjectUndeletableException;
 import eu.etaxonomy.cdm.model.media.Media;
-import eu.etaxonomy.cdm.persistence.dao.hibernate.media.MediaDaoHibernateImpl;
 import eu.etaxonomy.taxeditor.annotatedlineeditor.IEntityCreator;
 import eu.etaxonomy.taxeditor.bulkeditor.IBulkEditorSortProvider;
 import eu.etaxonomy.taxeditor.bulkeditor.input.entitycreator.MediaCreator;
@@ -51,15 +50,10 @@ public class MediaEditorInput extends AbstractBulkEditorInput<Media> {
         return BulkEditorInputType.MEDIA.label;
     }
 
-    @Override
-    public String getToolTipText() {
-        return getName();
-    }
-
     @Override
     public Media save(Media entity) {
        return CdmStore.getService(IMediaService.class).merge(entity, true).getMergedEntity();
-       
+
     }
 
     @Override
@@ -68,7 +62,7 @@ public class MediaEditorInput extends AbstractBulkEditorInput<Media> {
     	if (config instanceof MediaDeletionConfigurator){
     		mediaConfig = (MediaDeletionConfigurator) config;
     	} else{
-    		
+
     	}
         return CdmStore.getService(IMediaService.class).delete(entity.getUuid(), mediaConfig) != null;
     }
@@ -97,7 +91,7 @@ public class MediaEditorInput extends AbstractBulkEditorInput<Media> {
 
         return sortProviders;
     }
-    
+
 	@Override
 	protected Media loadEntity(UUID entityUuid) {
 		List<String> propertyPaths = Arrays.asList(new String[]{});
diff --git a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/NameEditorInput.java b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/NameEditorInput.java
index dae27fec0..2fe85c18a 100644
--- a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/NameEditorInput.java
+++ b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/NameEditorInput.java
@@ -50,26 +50,11 @@ public class NameEditorInput extends AbstractBulkEditorInput<TaxonName> {
 		return instance;
 	}
 
-	/**
-	 * <p>getName</p>
-	 *
-	 * @return a {@link java.lang.String} object.
-	 */
-	@Override
+    @Override
     public String getName() {
 		return BulkEditorInputType.NAME.label;
 	}
 
-	/**
-	 * <p>getToolTipText</p>
-	 *
-	 * @return a {@link java.lang.String} object.
-	 */
-	@Override
-    public String getToolTipText() {
-		return getName();
-	}
-
 	/**
 	 * <p>getID</p>
 	 *
@@ -91,7 +76,7 @@ public class NameEditorInput extends AbstractBulkEditorInput<TaxonName> {
 	/** {@inheritDoc} */
 	@Override
 	public List listEntities(IIdentifiableEntityServiceConfigurator configurator) {
-		
+
 		configurator.setPropertyPaths(getPropertyPaths());
 		return CdmStore.getSearchManager().findNames(configurator, this.getConversation());
 	}
@@ -109,18 +94,18 @@ public class NameEditorInput extends AbstractBulkEditorInput<TaxonName> {
 		if (config instanceof NameDeletionConfigurator){
 			nameConfig = (NameDeletionConfigurator) config;
 		} else{
-			
+
 		}
 		return CdmStore.getService(INameService.class).delete(entity.getUuid(), nameConfig) != null;
 	}
-	
+
 	/** {@inheritDoc} */
 	@Override
     public TaxonName save(TaxonName entity) {
 		TaxonName mergedName = null;
 		mergedName =  CdmStore.getService(INameService.class).merge(entity, true).getMergedEntity();
 	   	return mergedName;
-		
+
 	}
 
 	@Override
@@ -173,7 +158,7 @@ public class NameEditorInput extends AbstractBulkEditorInput<TaxonName> {
          "name.relationsToThisName",
          "name.homotypicalGroup.typifiedNames.taxonBases.synonymRelations.synonym.name.status",
          "name.homotypicalGroup.typifiedNames.relationsToThisName.fromName"});
-    	 
+
     	 return nameBasePropertyPaths;
     }
 
diff --git a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/NameRelationshipEditorInput.java b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/NameRelationshipEditorInput.java
index 1262bdc81..258568831 100644
--- a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/NameRelationshipEditorInput.java
+++ b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/NameRelationshipEditorInput.java
@@ -51,24 +51,11 @@ public class NameRelationshipEditorInput extends AbstractBulkEditorInput<NameRel
 		return instance;
 	}
 
-	/* (non-Javadoc)
-	 * @see org.eclipse.ui.IEditorInput#getName()
-	 */
-	/** {@inheritDoc} */
-	@Override
+    @Override
 	public String getName() {
 		return BulkEditorInputType.NAME_RELATIONSHIP.label;
 	}
 
-	/* (non-Javadoc)
-	 * @see org.eclipse.ui.IEditorInput#getToolTipText()
-	 */
-	/** {@inheritDoc} */
-	@Override
-	public String getToolTipText() {
-		return getName();
-	}
-
 	/* (non-Javadoc)
 	 * @see eu.etaxonomy.taxeditor.annotatedlineeditor.IEntityPersistenceService#save(java.lang.Object)
 	 */
diff --git a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/OccurrenceEditorInput.java b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/OccurrenceEditorInput.java
index 6d00f4171..94b66d0f7 100644
--- a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/OccurrenceEditorInput.java
+++ b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/OccurrenceEditorInput.java
@@ -71,26 +71,11 @@ public class OccurrenceEditorInput extends AbstractBulkEditorInput<SpecimenOrObs
 		return CdmStore.getService(IOccurrenceService.class).load(entityUuid, propertyPaths);
 	}*/
 
-	/**
-	 * <p>getName</p>
-	 *
-	 * @return a {@link java.lang.String} object.
-	 */
-	@Override
+    @Override
     public String getName() {
 		return BulkEditorInputType.OCCURRENCE.label;
 	}
 
-	/**
-	 * <p>getToolTipText</p>
-	 *
-	 * @return a {@link java.lang.String} object.
-	 */
-	@Override
-    public String getToolTipText() {
-		return getName();
-	}
-
 	@Override
 	public String getTypeText(Object entity) {
         if(HibernateProxyHelper.isInstanceOf(entity, SpecimenOrObservationBase.class)){
diff --git a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/ReferenceEditorInput.java b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/ReferenceEditorInput.java
index a5c868749..560685966 100644
--- a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/ReferenceEditorInput.java
+++ b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/ReferenceEditorInput.java
@@ -53,32 +53,11 @@ public class ReferenceEditorInput extends AbstractBulkEditorInput<Reference> {
 		return ID;
 	}
 
-	/* (non-Javadoc)
-	 * @see org.eclipse.ui.IEditorInput#getName()
-	 */
-	/**
-	 * <p>getName</p>
-	 *
-	 * @return a {@link java.lang.String} object.
-	 */
-	@Override
+    @Override
     public String getName() {
 		return BulkEditorInputType.REFERENCE.label;
 	}
 
-	/* (non-Javadoc)
-	 * @see org.eclipse.ui.IEditorInput#getToolTipText()
-	 */
-	/**
-	 * <p>getToolTipText</p>
-	 *
-	 * @return a {@link java.lang.String} object.
-	 */
-	@Override
-    public String getToolTipText() {
-		return getName();
-	}
-
 	/**
 	 * <p>Getter for the field <code>instance</code>.</p>
 	 *
diff --git a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/TaxonEditorInput.java b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/TaxonEditorInput.java
index 4d2a7257c..3f3d93e01 100644
--- a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/TaxonEditorInput.java
+++ b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/TaxonEditorInput.java
@@ -7,8 +7,6 @@ import java.util.UUID;
 
 import eu.etaxonomy.cdm.api.service.ITaxonService;
 import eu.etaxonomy.cdm.api.service.config.DeleteConfiguratorBase;
-import eu.etaxonomy.cdm.api.service.config.FindTaxaAndNamesConfiguratorImpl;
-import eu.etaxonomy.cdm.api.service.config.IFindTaxaAndNamesConfigurator;
 import eu.etaxonomy.cdm.api.service.config.IIdentifiableEntityServiceConfigurator;
 import eu.etaxonomy.cdm.api.service.config.SynonymDeletionConfigurator;
 import eu.etaxonomy.cdm.api.service.config.TaxonDeletionConfigurator;
@@ -17,7 +15,6 @@ import eu.etaxonomy.cdm.hibernate.HibernateProxyHelper;
 import eu.etaxonomy.cdm.model.taxon.Synonym;
 import eu.etaxonomy.cdm.model.taxon.Taxon;
 import eu.etaxonomy.cdm.model.taxon.TaxonBase;
-import eu.etaxonomy.cdm.persistence.query.MatchMode;
 import eu.etaxonomy.taxeditor.annotatedlineeditor.IEntityCreator;
 import eu.etaxonomy.taxeditor.bulkeditor.input.entitycreator.TaxonCreator;
 import eu.etaxonomy.taxeditor.store.CdmStore;
@@ -43,18 +40,11 @@ public class TaxonEditorInput extends AbstractBulkEditorInput<TaxonBase>{
 		return instance;
 	}
 
-
-	@Override
+    @Override
 	public String getName() {
 		return BulkEditorInputType.TAXON.label;
 	}
 
-	@Override
-	public String getToolTipText() {
-		return getName();
-	}
-
-
 	/**
 	 * <p>getID</p>
 	 *
@@ -85,7 +75,7 @@ public class TaxonEditorInput extends AbstractBulkEditorInput<TaxonBase>{
 //		IFindTaxaAndNamesConfigurator<TaxonBase> newConfig = new FindTaxaAndNamesConfiguratorImpl<TaxonBase>();
 //		newConfig.setTitleSearchString(configurator.getTitleSearchStringSqlized());
 //		newConfig.setMatchMode(MatchMode.ANYWHERE);
-		
+
 		List<TaxonBase> taxa =  CdmStore.getSearchManager().findTaxa(configurator);
 		List<TaxonBase> taxaCopy = new ArrayList<TaxonBase>();
 		for (TaxonBase taxon:taxa){
@@ -117,18 +107,18 @@ public class TaxonEditorInput extends AbstractBulkEditorInput<TaxonBase>{
 			if (config instanceof TaxonDeletionConfigurator){
 				taxonConfig = (TaxonDeletionConfigurator)config;
 			}else{
-				
+
 			}
-			
+
 			return CdmStore.getService(ITaxonService.class).deleteTaxon(entity.getUuid(), taxonConfig, null) != null;
 		} else{
 			SynonymDeletionConfigurator synConfig = null;
 			if (config instanceof SynonymDeletionConfigurator){
 				synConfig = (SynonymDeletionConfigurator)config;
 			}else{
-				
+
 			}
-			
+
 			return CdmStore.getService(ITaxonService.class).deleteSynonym(entity.getUuid(), synConfig) != null;
 		}
 	}
diff --git a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/UserEditorInput.java b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/UserEditorInput.java
index c4730a7de..fa45be18e 100644
--- a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/UserEditorInput.java
+++ b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/UserEditorInput.java
@@ -43,22 +43,11 @@ public class UserEditorInput extends AbstractBulkEditorInput<User> {
 		return instance;
 	}
 
-	/* (non-Javadoc)
-	 * @see org.eclipse.ui.IEditorInput#getName()
-	 */
-	@Override
+    @Override
 	public String getName() {
 		return BulkEditorInputType.USER.label;
 	}
 
-	/* (non-Javadoc)
-	 * @see org.eclipse.ui.IEditorInput#getToolTipText()
-	 */
-	@Override
-	public String getToolTipText() {
-		return getName();
-	}
-
 	/* (non-Javadoc)
 	 * @see eu.etaxonomy.taxeditor.annotatedlineeditor.IEntityPersistenceService#save(java.lang.Object)
 	 */
@@ -117,7 +106,7 @@ public class UserEditorInput extends AbstractBulkEditorInput<User> {
     public void merge() {
 
     }
-    
+
 
 	@Override
 	protected User loadEntity(UUID entityUuid) {