commit 403ae3311c83bc45cf9aa119b412c070ac4bfd00
Author: Patrick Plitzner <p.plitzner@bgbm.org>
Date:   Mon Oct 29 13:12:37 2018 +0100

    fix #7877 Fix refresh problem of wizard detail elements

diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/AbstractCdmDetailElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/AbstractCdmDetailElement.java
index fd547c971..f0a01f73a 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/AbstractCdmDetailElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/AbstractCdmDetailElement.java
@@ -105,7 +105,6 @@ public abstract class AbstractCdmDetailElement<T> extends AbstractCdmFormElement
 	protected void updateContent() {
 		removeElements();
 		createControls(this, entity, SWT.NONE);
-//		StoreUtil.reflowParentScrolledForm(getLayoutComposite(), true);
 		updateControlStates();
 	}
 
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/name/NameDetailElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/name/NameDetailElement.java
index 971460511..6f0b13134 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/name/NameDetailElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/name/NameDetailElement.java
@@ -28,6 +28,7 @@ import eu.etaxonomy.cdm.model.name.TaxonNameFactory;
 import eu.etaxonomy.cdm.strategy.parser.ParserProblem;
 import eu.etaxonomy.taxeditor.preference.NameDetailsConfigurator;
 import eu.etaxonomy.taxeditor.preference.PreferencesUtil;
+import eu.etaxonomy.taxeditor.store.StoreUtil;
 import eu.etaxonomy.taxeditor.ui.combo.TermComboElement;
 import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory;
 import eu.etaxonomy.taxeditor.ui.element.CheckboxElement;
@@ -282,6 +283,8 @@ public class NameDetailElement extends AbstractIdentifiableEntityDetailElement<I
 			getEntity().setRank(combo_rank.getSelection());
 			clearCheckRankWarnings();
 			updateContent();
+            //this is needed for the "new" wizards in order to redraw correctly
+            StoreUtil.reflowParentScrolledForm(getLayoutComposite(), true);
 		}
 		else if(eventSource == text_appendedPhrase){
 			getEntity().setAppendedPhrase(text_appendedPhrase.getText());
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/name/NonViralNameDetailElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/name/NonViralNameDetailElement.java
index df5c64484..5bc5b3080 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/name/NonViralNameDetailElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/name/NonViralNameDetailElement.java
@@ -20,6 +20,7 @@ import eu.etaxonomy.taxeditor.l10n.Messages;
 import eu.etaxonomy.taxeditor.model.MessagingUtils;
 import eu.etaxonomy.taxeditor.preference.IPreferenceKeys;
 import eu.etaxonomy.taxeditor.preference.PreferencesUtil;
+import eu.etaxonomy.taxeditor.store.StoreUtil;
 import eu.etaxonomy.taxeditor.ui.combo.EnumComboElement;
 import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory;
 import eu.etaxonomy.taxeditor.ui.element.ICdmFormElement;
@@ -192,6 +193,8 @@ public class NonViralNameDetailElement
 				getEntity().setNameType(combo_nomenclaturalCode.getSelection());
 
 				this.updateContent();
+	            //this is needed for the "new" wizards in order to redraw correctly
+	            StoreUtil.reflowParentScrolledForm(getLayoutComposite(), true);
 				section_hybrid.setEntity(getEntity());
 				section_author.setEntity(getEntity());
 				section_name.setEntity(getEntity());
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/reference/ReferenceDetailElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/reference/ReferenceDetailElement.java
index 0228174d5..822f90c4a 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/reference/ReferenceDetailElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/reference/ReferenceDetailElement.java
@@ -24,6 +24,7 @@ import eu.etaxonomy.cdm.model.agent.TeamOrPersonBase;
 import eu.etaxonomy.cdm.model.reference.Reference;
 import eu.etaxonomy.cdm.model.reference.ReferenceFactory;
 import eu.etaxonomy.cdm.model.reference.ReferenceType;
+import eu.etaxonomy.taxeditor.store.StoreUtil;
 import eu.etaxonomy.taxeditor.ui.combo.EnumComboElement;
 import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory;
 import eu.etaxonomy.taxeditor.ui.element.CdmPropertyChangeEvent;
@@ -409,6 +410,8 @@ public class ReferenceDetailElement extends AbstractIdentifiableEntityDetailElem
 		if (eventSource == combo_referenceType) {
 			getEntity().setType(combo_referenceType.getSelection());
 			updateContent();
+	        //this is needed for the "new" wizards in order to redraw correctly
+			StoreUtil.reflowParentScrolledForm(getLayoutComposite(), true);
 		} else if (eventSource == element_timePeriod) {
 			getEntity().setDatePublished(element_timePeriod.getTimePeriod());
 			clearException();