commit a3fdfdf430dd8935398ca579b8e84b4efdfd2fc7
Author: Patrick Plitzner <p.plitzner@bgbm.org>
Date:   Fri Mar 9 15:42:57 2018 +0100

    ref #6158 avoid URL redirects

diff --git a/eu.etaxonomy.taxeditor.application/pom.xml b/eu.etaxonomy.taxeditor.application/pom.xml
index d5589655c..3f1434ff4 100644
--- a/eu.etaxonomy.taxeditor.application/pom.xml
+++ b/eu.etaxonomy.taxeditor.application/pom.xml
@@ -12,7 +12,7 @@
 
   <name>Application</name>
   <description>All plugins are combined into this application.</description>
-  <url>http://dev.e-taxonomy.eu/trac/wiki/TaxonomicEditor</url>
+  <url>https://dev.e-taxonomy.eu/redmine/projects/edit/wiki/TaxonomicEditor</url>
 
   <properties>
    <timestamp>${maven.build.timestamp}</timestamp>
diff --git a/eu.etaxonomy.taxeditor.application/src/main/java/eu/etaxonomy/taxeditor/OpenExternalHelpHandler.java b/eu.etaxonomy.taxeditor.application/src/main/java/eu/etaxonomy/taxeditor/OpenExternalHelpHandler.java
index 18cf4c770..d4b1a3493 100644
--- a/eu.etaxonomy.taxeditor.application/src/main/java/eu/etaxonomy/taxeditor/OpenExternalHelpHandler.java
+++ b/eu.etaxonomy.taxeditor.application/src/main/java/eu/etaxonomy/taxeditor/OpenExternalHelpHandler.java
@@ -32,7 +32,7 @@ public class OpenExternalHelpHandler extends AbstractHandler {
 	/** {@inheritDoc} */
 	@Override
     public Object execute(ExecutionEvent event) throws ExecutionException {
-		String url = "http://wp5.e-taxonomy.eu/download/taxeditor/stable/EDITTaxonomicEditor-UserManual.pdf";
+		String url = "https://cybertaxonomy.eu/download/taxeditor/stable/EDITTaxonomicEditor-UserManual.pdf";
 
 		try {
             WorkbenchUtility.openWebpage(new URL(url));
diff --git a/eu.etaxonomy.taxeditor.bulkeditor/p2.inf b/eu.etaxonomy.taxeditor.bulkeditor/p2.inf
index cdeccf81b..38a6b4377 100644
--- a/eu.etaxonomy.taxeditor.bulkeditor/p2.inf
+++ b/eu.etaxonomy.taxeditor.bulkeditor/p2.inf
@@ -1,3 +1,3 @@
 instructions.configure=\
-	addRepository(type:0,location:http${#58}//wp5.e-taxonomy.eu/taxeditor/update);\
-	addRepository(type:1,location:http${#58}//wp5.e-taxonomy.eu/taxeditor/update);
\ No newline at end of file
+	addRepository(type:0,location:http${#58}//cybertaxonomy.eu/taxeditor/update);\
+	addRepository(type:1,location:http${#58}//cybertaxonomy.eu/taxeditor/update);
\ No newline at end of file
diff --git a/eu.etaxonomy.taxeditor.editor/p2.inf b/eu.etaxonomy.taxeditor.editor/p2.inf
index cdeccf81b..38a6b4377 100644
--- a/eu.etaxonomy.taxeditor.editor/p2.inf
+++ b/eu.etaxonomy.taxeditor.editor/p2.inf
@@ -1,3 +1,3 @@
 instructions.configure=\
-	addRepository(type:0,location:http${#58}//wp5.e-taxonomy.eu/taxeditor/update);\
-	addRepository(type:1,location:http${#58}//wp5.e-taxonomy.eu/taxeditor/update);
\ No newline at end of file
+	addRepository(type:0,location:http${#58}//cybertaxonomy.eu/taxeditor/update);\
+	addRepository(type:1,location:http${#58}//cybertaxonomy.eu/taxeditor/update);
\ No newline at end of file
diff --git a/eu.etaxonomy.taxeditor.feature.platform/feature.xml b/eu.etaxonomy.taxeditor.feature.platform/feature.xml
index ea5b3e269..4886e1776 100644
--- a/eu.etaxonomy.taxeditor.feature.platform/feature.xml
+++ b/eu.etaxonomy.taxeditor.feature.platform/feature.xml
@@ -8,7 +8,7 @@
       arch="x86,x86_64">
 
    <url>
-      <update label="EDIT Taxonomic Editor" url="http://wp5.e-taxonomy.eu/taxeditor/update"/>
+      <update label="EDIT Taxonomic Editor" url="https://cybertaxonomy.eu/taxeditor/update"/>
    </url>
 
    <includes
diff --git a/eu.etaxonomy.taxeditor.help/html/gettingstarted/downloading_the_taxonomic_editor.html b/eu.etaxonomy.taxeditor.help/html/gettingstarted/downloading_the_taxonomic_editor.html
index 6a7ed0101..66628ef45 100644
--- a/eu.etaxonomy.taxeditor.help/html/gettingstarted/downloading_the_taxonomic_editor.html
+++ b/eu.etaxonomy.taxeditor.help/html/gettingstarted/downloading_the_taxonomic_editor.html
@@ -9,7 +9,7 @@
  			<img src="../img/cybergate.jpg" alt="Platform Cybergate" />
  		</p>
 		<p>You will be taken to the Taxonomic Editor Download Site.</p>
- 		<p>Alternatively, you can access the download site directly by entering <a href="http://wp5.e-taxonomy.eu/downlaod/taxeditor">http://wp5.e-taxonomy.eu/downlaod/taxeditor</a> into the address bar of your browser.</p>
+ 		<p>Alternatively, you can access the download site directly by entering <a href="https://cybertaxonomy.eu/downlaod/taxeditor">https://cybertaxonomy.eu/downlaod/taxeditor</a> into the address bar of your browser.</p>
   	</li>
 	<li>Click on the download link and then navigate to the latest version of the Taxonomic Editor 
 	
diff --git a/eu.etaxonomy.taxeditor.help/p2.inf b/eu.etaxonomy.taxeditor.help/p2.inf
index cdeccf81b..38a6b4377 100644
--- a/eu.etaxonomy.taxeditor.help/p2.inf
+++ b/eu.etaxonomy.taxeditor.help/p2.inf
@@ -1,3 +1,3 @@
 instructions.configure=\
-	addRepository(type:0,location:http${#58}//wp5.e-taxonomy.eu/taxeditor/update);\
-	addRepository(type:1,location:http${#58}//wp5.e-taxonomy.eu/taxeditor/update);
\ No newline at end of file
+	addRepository(type:0,location:http${#58}//cybertaxonomy.eu/taxeditor/update);\
+	addRepository(type:1,location:http${#58}//cybertaxonomy.eu/taxeditor/update);
\ No newline at end of file
diff --git a/eu.etaxonomy.taxeditor.navigation/p2.inf b/eu.etaxonomy.taxeditor.navigation/p2.inf
index cdeccf81b..38a6b4377 100644
--- a/eu.etaxonomy.taxeditor.navigation/p2.inf
+++ b/eu.etaxonomy.taxeditor.navigation/p2.inf
@@ -1,3 +1,3 @@
 instructions.configure=\
-	addRepository(type:0,location:http${#58}//wp5.e-taxonomy.eu/taxeditor/update);\
-	addRepository(type:1,location:http${#58}//wp5.e-taxonomy.eu/taxeditor/update);
\ No newline at end of file
+	addRepository(type:0,location:http${#58}//cybertaxonomy.eu/taxeditor/update);\
+	addRepository(type:1,location:http${#58}//cybertaxonomy.eu/taxeditor/update);
\ No newline at end of file
diff --git a/eu.etaxonomy.taxeditor.printpublisher/p2.inf b/eu.etaxonomy.taxeditor.printpublisher/p2.inf
index cdeccf81b..38a6b4377 100644
--- a/eu.etaxonomy.taxeditor.printpublisher/p2.inf
+++ b/eu.etaxonomy.taxeditor.printpublisher/p2.inf
@@ -1,3 +1,3 @@
 instructions.configure=\
-	addRepository(type:0,location:http${#58}//wp5.e-taxonomy.eu/taxeditor/update);\
-	addRepository(type:1,location:http${#58}//wp5.e-taxonomy.eu/taxeditor/update);
\ No newline at end of file
+	addRepository(type:0,location:http${#58}//cybertaxonomy.eu/taxeditor/update);\
+	addRepository(type:1,location:http${#58}//cybertaxonomy.eu/taxeditor/update);
\ No newline at end of file
diff --git a/eu.etaxonomy.taxeditor.printpublisher/pom.xml b/eu.etaxonomy.taxeditor.printpublisher/pom.xml
index 00a66c23a..c0cbf2080 100644
--- a/eu.etaxonomy.taxeditor.printpublisher/pom.xml
+++ b/eu.etaxonomy.taxeditor.printpublisher/pom.xml
@@ -13,6 +13,6 @@
 	
 	<name>Printpublisher Bundle</name>
 	<description />
-	<url>http://wp5.e-taxonomy.eu/printpublisher</url>
+	<url>http://cybertaxonomy.eu/printpublisher</url>
 
 </project>
diff --git a/eu.etaxonomy.taxeditor.store/p2.inf b/eu.etaxonomy.taxeditor.store/p2.inf
index cdeccf81b..38a6b4377 100644
--- a/eu.etaxonomy.taxeditor.store/p2.inf
+++ b/eu.etaxonomy.taxeditor.store/p2.inf
@@ -1,3 +1,3 @@
 instructions.configure=\
-	addRepository(type:0,location:http${#58}//wp5.e-taxonomy.eu/taxeditor/update);\
-	addRepository(type:1,location:http${#58}//wp5.e-taxonomy.eu/taxeditor/update);
\ No newline at end of file
+	addRepository(type:0,location:http${#58}//cybertaxonomy.eu/taxeditor/update);\
+	addRepository(type:1,location:http${#58}//cybertaxonomy.eu/taxeditor/update);
\ No newline at end of file
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/translation/GoogleLanguageApiWrapper.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/translation/GoogleLanguageApiWrapper.java
index f96bb1b64..d9d70b0f2 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/translation/GoogleLanguageApiWrapper.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/translation/GoogleLanguageApiWrapper.java
@@ -1,8 +1,8 @@
 /**
 * Copyright (C) 2007 EDIT
-* European Distributed Institute of Taxonomy 
+* European Distributed Institute of Taxonomy
 * http://www.e-taxonomy.eu
-* 
+*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */
@@ -21,6 +21,7 @@ import eu.etaxonomy.cdm.model.common.Language;
  * @version 1.0
  * @deprecated Should not be used as the Google translation service is not free anymore
  */
+@Deprecated
 public class GoogleLanguageApiWrapper implements ITranslationServiceWrapper {
 
 	/* (non-Javadoc)
@@ -30,27 +31,27 @@ public class GoogleLanguageApiWrapper implements ITranslationServiceWrapper {
 	@Override
 	public String translate(String text, Language source, Language target) throws LanguageNotSupportedException {
 		// TODO make this configurable in preferences
-		Translate.setHttpReferrer("http://wp5.e-taxonomy.eu");
-		
+		Translate.setHttpReferrer("http://cybertaxonomy.eu");
+
 		String translated;
 		try {
 			translated = Translate.execute(text, getLanguageEquivalent(source), getLanguageEquivalent(target));
 		} catch (Exception e) {
 			throw new LanguageNotSupportedException(e.getMessage());
 		}
-		
+
 		return translated;
 	}
 
 	/**
 	 * @param source
 	 * @return
-	 * @throws LanguageNotSupportedException 
+	 * @throws LanguageNotSupportedException
 	 */
 	private com.google.api.translate.Language getLanguageEquivalent(
 			Language language) throws LanguageNotSupportedException {
-		
-		
+
+
 		if(language.equals(Language.ENGLISH())){
 			return com.google.api.translate.Language.ENGLISH;
 		}
diff --git a/eu.etaxonomy.taxeditor/deploy_nightly.sh b/eu.etaxonomy.taxeditor/deploy_nightly.sh
index 8da863d4c..0b1fa5b54 100755
--- a/eu.etaxonomy.taxeditor/deploy_nightly.sh
+++ b/eu.etaxonomy.taxeditor/deploy_nightly.sh
@@ -5,7 +5,7 @@
 
 PRODUCT_DIR="$WORKSPACE/eu.etaxonomy.taxeditor/target/products"
 
-DEPLOYMENT_SERVER="wp5.e-taxonomy.eu"
+DEPLOYMENT_SERVER="cybertaxonomy.eu"
 DEPLOYMENT_DIR="/var/www/download/taxeditor/nightly"
 
 # bash check if directory exists
diff --git a/eu.etaxonomy.taxeditor/pom.xml b/eu.etaxonomy.taxeditor/pom.xml
index fb04f6c87..5b851936f 100644
--- a/eu.etaxonomy.taxeditor/pom.xml
+++ b/eu.etaxonomy.taxeditor/pom.xml
@@ -11,7 +11,7 @@
 
   <name>EDIT Taxonomic Editor Product</name>
   <description>The EDIT Taxonomic Desktop Editor</description>
-  <url>http://wp5.e-taxonomy.eu/taxeditor</url>
+  <url>https://cybertaxonomy.eu/taxeditor</url>
   <properties>
     <product.id>eu.etaxonomy.taxeditor.product</product.id>
   </properties>
@@ -119,7 +119,7 @@
                 <goal>sshexec</goal>
               </goals>
               <configuration>
-                <url>scp://wp5.e-taxonomy.eu</url>
+                <url>scp://cybertaxonomy.eu</url>
                 <commands>
                   <command>rm -r /var/www/download/taxeditor/update/${update.dir}/*</command>
                 </commands>
@@ -134,14 +134,14 @@
             </executions>
             <configuration>
               <fromDir>${project.build.directory}/repository</fromDir>
-              <url>scpexe://wp5.e-taxonomy.eu/var/www/download/taxeditor/update/${update.dir}</url>
+              <url>scpexe://cybertaxonomy.eu/var/www/download/taxeditor/update/${update.dir}</url>
 <!--               <includes> -->
 <!--                 binary/*,content.jar,artifacts.jar,**/eu.etaxonomy.*.jar -->
 <!--               </includes> -->
               <!-- Comment out the above and uncomment the below to upload 
                 all jars -->
               <includes>**/*</includes>
-              <serverId>wp5.e-taxonomy.eu</serverId>
+              <serverId>cybertaxonomy.eu</serverId>
             </configuration>
           </plugin>
         </plugins>
diff --git a/src/site/apt/getting-started.apt b/src/site/apt/getting-started.apt
index 5f25f32d3..055331847 100644
--- a/src/site/apt/getting-started.apt
+++ b/src/site/apt/getting-started.apt
@@ -119,7 +119,7 @@ $ mvn validate
 
 ** <eu.etaxonomy.taxeditor.printpublisher>
 
-	This plugin is a frontend and GUI for the <cdmlib-print> module. Please see the {{{http://wp5.e-taxonomy.eu/printpublisher/}according documentation}} for further information.
+	This plugin is a frontend and GUI for the <cdmlib-print> module. Please see the {{{http://cybertaxonomy.eu/printpublisher/}according documentation}} for further information.
 
 ** <eu.etaxonomy.taxeditor.application>
 
diff --git a/src/site/fml/troubleshooting.fml b/src/site/fml/troubleshooting.fml
index d018ce54b..5c7802cac 100644
--- a/src/site/fml/troubleshooting.fml
+++ b/src/site/fml/troubleshooting.fml
@@ -39,7 +39,7 @@
 		<faq id="Launching_the_editor_from_eclipse_is_simply_not_working">
 			<question>Launching the editor from eclipse is simply not working for me.</question>
 			<answer>
-				<p>This could be due to many reasons. Please have a look at the <a href="http://dev.e-taxonomy.eu/trac/wiki/TroubleshootingEditorLaunches">Troubleshooting Editor Launches</a> document on the developers wiki.</p>
+				<p>This could be due to many reasons. Please have a look at the <a href="https://dev.e-taxonomy.eu/redmine/projects/edit/wiki/TroubleshootingEditorLaunches">Troubleshooting Editor Launches</a> document on the developers wiki.</p>
 			</answer>
 		</faq>
 		<faq id="No_application_id_has_been_found">