commit 2c450f49a0944b8a8a14fca7c0b631cece093854
Author: Patrick Plitzner <p.plitzner@bgbm.org>
Date:   Wed Dec 11 17:13:01 2019 +0100

    Remove "experimental" status from
    
     - polytomous key generation
     - move term menu in term editor
     - export ontology in term tree editor

diff --git a/eu.etaxonomy.taxeditor.store/fragment.e4xmi b/eu.etaxonomy.taxeditor.store/fragment.e4xmi
index 9185ebb59..121933998 100644
--- a/eu.etaxonomy.taxeditor.store/fragment.e4xmi
+++ b/eu.etaxonomy.taxeditor.store/fragment.e4xmi
@@ -187,7 +187,6 @@
         <children xsi:type="menu:Menu" xmi:id="_whoc7_ynEemPDYtIH5gauA" elementId="eu.etaxonomy.taxeditor.store.menu.presenceAbsence.export" label="%menu.label.4" iconURI="platform:/plugin/eu.etaxonomy.taxeditor.store/icons/export.gif">
           <visibleWhen xsi:type="ui:CoreExpression" xmi:id="_whoc8PynEemPDYtIH5gauA" coreExpressionId="isFeatureTree"/>
           <children xsi:type="menu:HandledMenuItem" xmi:id="_whoc8fynEemPDYtIH5gauA" elementId="eu.etaxonomy.taxeditor.store.handledmenuitem.presenceAbsence.exportFeatureTreeOwl" label="%handledmenuitem.label.14" iconURI="platform:/plugin/eu.etaxonomy.taxeditor.store/icons/export.gif" command="_xyZ4oPhmEei8uPv-H2wqnw">
-            <visibleWhen xsi:type="ui:CoreExpression" xmi:id="_whoc8vynEemPDYtIH5gauA" coreExpressionId="isShowExperimentalFeatures"/>
           </children>
           <children xsi:type="menu:HandledMenuItem" xmi:id="_whoc8_ynEemPDYtIH5gauA" elementId="eu.etaxonomy.taxeditor.store.handledmenuitem.presenceAbsence.exportFeatureTree" label="%handledmenuitem.label.4" iconURI="platform:/plugin/eu.etaxonomy.taxeditor.store/icons/export.gif" command="_I_yx4GcqEee0qLTtA2ZpVQ">
             <visibleWhen xsi:type="ui:CoreExpression" xmi:id="_whoc9PynEemPDYtIH5gauA" coreExpressionId="isShowExperimentalFeatures"/>
@@ -217,7 +216,6 @@
         <children xsi:type="menu:Menu" xmi:id="_jGX_b_ysEemPDYtIH5gauA" elementId="eu.etaxonomy.taxeditor.store.menu.namedArea.export" label="%menu.label.4" iconURI="platform:/plugin/eu.etaxonomy.taxeditor.store/icons/export.gif">
           <visibleWhen xsi:type="ui:CoreExpression" xmi:id="_jGX_cPysEemPDYtIH5gauA" coreExpressionId="isFeatureTree"/>
           <children xsi:type="menu:HandledMenuItem" xmi:id="_jGX_cfysEemPDYtIH5gauA" elementId="eu.etaxonomy.taxeditor.store.handledmenuitem.namedArea.exportFeatureTreeOwl" label="%handledmenuitem.label.14" iconURI="platform:/plugin/eu.etaxonomy.taxeditor.store/icons/export.gif" command="_xyZ4oPhmEei8uPv-H2wqnw">
-            <visibleWhen xsi:type="ui:CoreExpression" xmi:id="_jGX_cvysEemPDYtIH5gauA" coreExpressionId="isShowExperimentalFeatures"/>
           </children>
           <children xsi:type="menu:HandledMenuItem" xmi:id="_jGX_c_ysEemPDYtIH5gauA" elementId="eu.etaxonomy.taxeditor.store.handledmenuitem.namedArea.exportFeatureTree" label="%handledmenuitem.label.4" iconURI="platform:/plugin/eu.etaxonomy.taxeditor.store/icons/export.gif" command="_I_yx4GcqEee0qLTtA2ZpVQ">
             <visibleWhen xsi:type="ui:CoreExpression" xmi:id="_jGX_dPysEemPDYtIH5gauA" coreExpressionId="isShowExperimentalFeatures"/>
@@ -247,7 +245,6 @@
         <children xsi:type="menu:Menu" xmi:id="_jK89b_ysEemPDYtIH5gauA" elementId="eu.etaxonomy.taxeditor.store.menu.rank.export" label="%menu.label.4" iconURI="platform:/plugin/eu.etaxonomy.taxeditor.store/icons/export.gif">
           <visibleWhen xsi:type="ui:CoreExpression" xmi:id="_jK89cPysEemPDYtIH5gauA" coreExpressionId="isFeatureTree"/>
           <children xsi:type="menu:HandledMenuItem" xmi:id="_jK89cfysEemPDYtIH5gauA" elementId="eu.etaxonomy.taxeditor.store.handledmenuitem.rank.exportFeatureTreeOwl" label="%handledmenuitem.label.14" iconURI="platform:/plugin/eu.etaxonomy.taxeditor.store/icons/export.gif" command="_xyZ4oPhmEei8uPv-H2wqnw">
-            <visibleWhen xsi:type="ui:CoreExpression" xmi:id="_jK89cvysEemPDYtIH5gauA" coreExpressionId="isShowExperimentalFeatures"/>
           </children>
           <children xsi:type="menu:HandledMenuItem" xmi:id="_jK89c_ysEemPDYtIH5gauA" elementId="eu.etaxonomy.taxeditor.store.handledmenuitem.rank.exportFeatureTree" label="%handledmenuitem.label.4" iconURI="platform:/plugin/eu.etaxonomy.taxeditor.store/icons/export.gif" command="_I_yx4GcqEee0qLTtA2ZpVQ">
             <visibleWhen xsi:type="ui:CoreExpression" xmi:id="_jK89dPysEemPDYtIH5gauA" coreExpressionId="isShowExperimentalFeatures"/>
@@ -410,7 +407,6 @@
       </children>
       <children xsi:type="menu:MenuSeparator" xmi:id="_XKnM8E3IEeiplYSgvvNXRQ" elementId="eu.etaxonomy.taxeditor.store.menuseparator.6"/>
       <children xsi:type="menu:HandledMenuItem" xmi:id="_eU0zcEbOEeiER_VRS0L7wA" elementId="eu.etaxonomy.taxeditor.store.termEditorMenu.gfbioTermImport" label="%handledmenuitem.label.9" tooltip="%handledmenuitem.tooltip.2" command="_bnVKsCZxEeeQLpuomSmVoQ">
-        <visibleWhen xsi:type="ui:CoreExpression" xmi:id="_h15bwEb1EeiER_VRS0L7wA" coreExpressionId="isCdmStoreConnectedAndShowExperimental"/>
         <parameters xmi:id="_eU0zcUbOEeiER_VRS0L7wA" elementId="eu.etaxonomy.taxeditor.store.showView.parameter.gfbioTermImport" name="eu.etaxonomy.taxeditor.workbench.commandparameter.partName" value="eu.etaxonomy.taxeditor.view.webimport.termimport.GfBioTerminologyImportPart"/>
       </children>
       <children xsi:type="menu:HandledMenuItem" xmi:id="_fbZtkB7xEemDKJyLc5CJfQ" elementId="eu.etaxonomy.taxeditor.store.handledmenuitem.termsearch" label="%handledmenuitem.label.16" tooltip="%handledmenuitem.label.16" command="_bnVKsCZxEeeQLpuomSmVoQ">